<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package w3layouts
 */

?>


<?php $FooterStatus = get_theme_mod( "FooterRequired","1")?>
<?php if( $FooterStatus==1 ){?>
<footer class="w3l-footer">
  <div class="footer pt-5">
	<style>
		.footer {
		background:url(<?php if(get_theme_mod('FooterBgImage') !='') {
			echo wp_get_attachment_url(get_theme_mod('FooterBgImage'));
		}

		if(wp_get_attachment_url(get_theme_mod('FooterBgImage'))=='') {
			echo get_template_directory_uri()."/assets/images/banner1.jpg";
		}

		?>);
		background-repeat: no-repeat,
		no-repeat,
		no-repeat;
		background-size: cover;
		background-position: center;
		position: relative;
		z-index: 1;
		}
	</style>
    <div class="container pt-lg-3 WashingFooter">
      <div class="text-txt">
        <div class="right-side">
          <div class="row">
            
			<?php $FooterAboutStatus = get_theme_mod( "FooterAboutRequired","1")?>
			<?php if( $FooterAboutStatus==1 ){?>
			<div class="col-lg-5 sub-one-left pr-md-5">
              <h6><?php echo get_theme_mod( "FooterAboutTitle" );if(get_theme_mod( "FooterAboutTitle" )==''){echo 'About';}?> </h6>
              <p><?php echo get_theme_mod( "FooterAboutContent","Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa officia dicta magni ea at, culpa atque, rerum dolorum voluptas alias
                qui temporibus ex totam distinctio nobis impedit minus! Voluptatibus ullam rerum, nihil blanditiis
                quos atque iusto!" );?></p>
            </div>
			<?php }?>

            <div class="col-lg-3 col-md-6 mt-lg-0 mt-5 sub-two-right">
			  	<?php
					if(is_active_sidebar('footer-menu-list-1')){
					dynamic_sidebar('footer-menu-list-1');
					}
				?>
            </div>

			<?php $FooterContactStatus = get_theme_mod( "FooterContactRequired","1")?>
			<?php if( $FooterContactStatus==1 ){?>
            <div class="col-lg-4 col-md-6 mt-lg-0 mt-5 sub-one-left">
				<h6><?php echo get_theme_mod( "FooterContactTitle" );if(get_theme_mod( "FooterContactTitle" )==''){echo 'Contact';}?> </h6>
				<div class="column2">

					<?php $FooterOfficialEmailStatus = get_theme_mod( "FooterOfficialEmailRequired","1")?>
					<?php if( $FooterOfficialEmailStatus==1 ){?>
					<div class="href1">
						<span class="fa fa-envelope-o" aria-hidden="true"></span>
						<a href="<?php echo get_theme_mod( "FooterOfficialEmailURL","mailto:info@example.com" ); ?>">
						<?php echo get_theme_mod( "FooterOfficialEmail", "info@example.com" );?></a>
					</div>
            		<?php }?>

					<?php $FooterContactNumberStatus = get_theme_mod( "FooterContactNumberRequired","1")?>
					<?php if( $FooterContactNumberStatus==1 ){?>
					<div class="href2">
						<span class="fa fa-phone" aria-hidden="true"></span>
						<a href="<?php echo get_theme_mod( "FooterContactPhoneURL","tel:+44-123-456-78" ); ?>">
						<?php echo get_theme_mod( "FooterContactPhone", "+44-123-456-78" );?></a>
					</div>
            		<?php }?>
					
					<?php $FooterContactAddressStatus = get_theme_mod( "FooterContactAddressRequired","1")?>
           			<?php if( $FooterContactAddressStatus==1 ){?>
					<div>
						<p class="contact-para">
							<span class="fa fa-map-marker" aria-hidden="true"></span>
							<?php echo get_theme_mod( "FooterContactAddress","New York, 235 Terry Lane, 10001" );?>
						</p>
					</div>
            		<?php }?>

				</div>
            </div>
			<?php }?>

          </div>
        </div>
      </div>
    </div>

    <div class="below-section mt-5 py-3">
      <div class="container">
        <div class="copyright-footer">
		<?php $FooterSocialmediaStatus = get_theme_mod( "FooterSocialmediaRequired","1")?>
		<?php if( $FooterSocialmediaStatus==1 ){?>
          	<div class="columns FooterSocial">
				<ul class="social text-lg-left text-center">
				<li>
					<?php $FooterSFStatus = get_theme_mod( "FooterSocialFacebook","1")?>
					<?php if( $FooterSFStatus==1 ){?>
					<a href="<?php echo get_theme_mod( "FooterSocialFacebookURL","https://www.facebook.com/w3layouts/" ); ?>" class="facebook"><span
						class="fa fa-facebook"></span></a>
					<?php }?>
				</li>

				<li>
					<?php $FooterSLStatus = get_theme_mod( "FooterSocialLinkedin","1")?>
					<?php if( $FooterSLStatus==1 ){?>
					<a href="<?php echo get_theme_mod( "FooterSocialLinkedinURL","https://in.linkedin.com/company/w3layouts" ); ?>" class="linkedin"><span
						class="fa fa-linkedin"></span></a>
					<?php }?>
				</li>
				
				<li>
					<?php $FooterSTStatus = get_theme_mod( "FooterSocialTwitter","1")?>
					<?php if( $FooterSTStatus==1 ){?>
					<a href="<?php echo get_theme_mod( "FooterSocialTwitterURL","https://twitter.com/W3layouts" ); ?>" class="twitter"><span
						class="fa fa-twitter"></span></a>
					<?php }?>
				</li>

				<li>
					<?php $FooterSGStatus = get_theme_mod( "FooterSocialGoogle","1")?>
					<?php if( $FooterSGStatus==1 ){?>
					<a href="<?php echo get_theme_mod( "FooterSocialGoogleURL","https://google.com/company/w3layouts" ); ?>" class="googleplus"><span
						class="fa fa-google"></span></a>
					<?php }?>
				</li>

				<li>
					<?php $FooterSGHStatus = get_theme_mod( "FooterSocialGithub","1")?>
					<?php if( $FooterSGHStatus==1 ){?>
					<a href="<?php echo get_theme_mod( "FooterSocialGithubURL","https://github.com/company/w3layouts" ); ?>" class="googleplus"><span
						class="fa fa-github"></span></a>
					<?php }?>
				</li>

				</ul>
			</div>
		<?php }?>

		  	<?php $FooterCRStatus = get_theme_mod( "FooterCopyrightRequired","1")?>
			<?php if( $FooterCRStatus==1 ){?>
				<div class="columns text-lg-right text-center">
					<p class="CopyRights">&copy; <?php echo date('Y'); ?> 
						<?php echo get_theme_mod( "FooterCopyrightSiteName", "Washing." );?>
						<?php echo get_theme_mod( "FooterCopyrightAllRights", "All Rights Reserved |" );?>
						
						<?php $FooterDBStatus = get_theme_mod( "FooterDesignedByRequired","1")?>
						<?php if( $FooterDBStatus==1 ){?>
							<?php echo get_theme_mod( "FooterCopyrightThemeBy", "WordPress Theme by" );?> 
							<a href="<?php echo get_theme_mod( "FooterCopyrightURL", "https://w3layouts.com/" );?>">
								<?php echo get_theme_mod( "FooterCopyrightName", "W3Layouts." );?>
							</a>
						<?php }?>
					</p>
				</div>
			<?php }?>

        </div>
      </div>
    </div>
  </div>
  <!-- move top -->
  <button onclick="topFunction()" id="movetop" title="Go to top">
    <span class="fa fa-arrow-up" aria-hidden="true"></span>
  </button>
</footer>
<?php }?>




<?php global $wp_customize;
  if ( !isset( $wp_customize ) ) {
    ?>

<!-- move top -->
<script>
  // When the user scrolls down 20px from the top of the document, show the button
  window.onscroll = function () {
    scrollFunction()
  };

  function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
      document.getElementById("movetop").style.display = "block";
    } else {
      document.getElementById("movetop").style.display = "none";
    }
  }

  // When the user clicks on the button, scroll to the top of the document
  function topFunction() {
    document.body.scrollTop = 0;
    document.documentElement.scrollTop = 0;
  }
</script>
<!-- /move top -->


<!-- jQuery JS -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-3.4.1.slim.min.js"></script>
<!-- Template JavaScript -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>

<!-- script for testimonials -->
<script>
  $(document).ready(function () {
    $('.owl-two').owlCarousel({
      loop: true,
      margin: 0,
      nav: false,
      responsiveClass: true,
      autoplay: false,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      responsive: {
        0: {
          items: 1,
          nav: false
        },
        480: {
          items: 1,
          nav: false
        },
        667: {
          items: 1,
          nav: false
        },
        1000: {
          items: 1,
          nav: false
        }
      }
    })
  })
</script>
<!-- //testimonials owlcarousel -->

<!-- for services carousel slider -->
<script>
  $(document).ready(function () {
    $('.owl-three').owlCarousel({
      loop: true,
      stagePadding: 20,
      margin: 20,
      autoplay: true,
      autoplayTimeout: 5000,
      autoplaySpeed: 1000,
      autoplayHoverPause: false,
      nav: false,
      responsive: {
        0: {
          items: 1
        },
        600: {
          items: 2
        },
        1000: {
          items: 4
        }
      }
    })
  })
</script>
<!-- //for services carousel slider -->

<!-- stats number counter-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.waypoints.min.js"></script>
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.countup.js"></script>
<script>
  $('.counter').countUp();
</script>
<!-- //stats number counter -->

<!-- disable body scroll which navbar is in active -->
<script>
  $(function () {
    $('.navbar-toggler').click(function () {
      $('body').toggleClass('noscroll');
    })
  });
</script>
<!-- disable body scroll which navbar is in active -->

<!-- Bootstrap JS -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>


<?php }?>

<?php wp_footer(); ?>

</body>

</html>