<?php
/**
 * w3layouts Theme Single Landing Page Customizer
 *
 * @package w3layouts
 */

$w3layouts_Landing_settings=new w3layouts_Landing_customizer_settings();

class w3layouts_Landing_customizer_settings {
    // Get our default values
    // private $defaults;

    public function __construct() {
        // add_action( 'customize_register', array( $this, 'w3layouts_Landing_cust_register' ) );
        add_action('customize_register', array($this, 'w3layouts_Landingpage_panels'));

    }

    public function w3layouts_Landingpage_panels($wp_customize) {
        /**
 		 * Add our Header & Navigation Panel
 		 */
        $wp_customize->add_panel('LandingPage_panel',
            array('title'=> __('Single Landing Page Customize', 'w3layouts'),
                'priority'=> 30,
                'description'=> esc_html__('add and update Landingpage data.', 'w3layouts')));

        $wp_customize->add_section('LandingPageBannerSliderSection',
            array('title'=> __('LandingPage Section 1 BannerSlider', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageAboutSection',
            array('title'=> __('LandingPage Section 2 About', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageCoverSection',
            array('title'=> __('LandingPage Section 3 Cover', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));
            
        $wp_customize->add_section('LandingPageServicesSection',
            array('title'=> __('LandingPage Section 4 Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageFeaturedServicesSection',
            array('title'=> __('LandingPage Section 5 Featured Services', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageStatsSection',
            array('title'=> __('LandingPage Section 6 Stats', 'w3layouts'),
                'description'=> esc_html__('', 'w3layouts'),
                'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageFeaturesSection',
			array('title'=> __('LandingPage Section 7 Features', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

        $wp_customize->add_section('LandingPagePricingSection',
			array('title'=> __('LandingPage Section 8 Pricing', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

		$wp_customize->add_section('LandingPageTestimonialsSection',
			array('title'=> __('LandingPage Section 9 Testimonials', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));

        $wp_customize->add_section('LPContactSection',
            array('title'=> __('LandingPage Section 10 Contact', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));
      
        $wp_customize->add_section('LPContactForm',
            array('title'=> __('LandingPage Section 11 Contact Form', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));
      
        $wp_customize->add_section('LPContactMap',
            array('title'=> __('LandingPage Section 12 Contact Map', 'w3layouts'),
              'description'=> esc_html__('', 'w3layouts'),
              'panel'=> 'LandingPage_panel'
            ));

        $wp_customize->add_section('LandingPageNewsletterSection',
			array('title'=> __('LandingPage Section 13 Newsletter', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'LandingPage_panel'
			));


        
		/** LandingPage BannerSlider section starts **/

		$wp_customize->add_setting('LandingPageBannerSliderRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageBannerSliderRequired',
            array('label'=> __('LandingPage Banner Slider Section Required', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageBannerSliderRequired',
                'priority'=> 1)));

    $wp_customize->selective_refresh->add_partial('LandingPageBannerSliderRequired', array('selector'=> 'div.LandingPageBannerSlider', // You can also select a css class
        ));

    /** Slider 1 info */

    $wp_customize->add_setting('LandingPageSlider1BgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageSlider1BgImage',
            array('label'=> __('LP Banner Slider1 Bg Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageBannerSliderSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 1760, // Optional. Default: 150
            'height'=> 900, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

    $wp_customize->add_setting('LandingPageSlider1Title1', array('default'=> " Washing",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider1Title1',
            array('label'=> __('LP Banner Slider1 Title1', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider1Title1',
            )));


    $wp_customize->add_setting('LandingPageSlider1Title2', array('default'=> "We are the Best laundry services",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider1Title2',
            array('label'=> __('LP Banner Slider1 Title2', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider1Title2',
            )));

    $wp_customize->add_setting('LandingPageSlider1Content', array('default'=> 'Once aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur consectetur adipiscing elit eu fugiat nulla laudantium sunt in culpa qui.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageSlider1Content',
        array('label'=> __('LP Banner Slider1 Content', 'w3layouts'),
            'section'=> 'LandingPageBannerSliderSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));
        
    $wp_customize->add_setting('LandingPageSlider1BtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider1BtnURL',
            array('label'=> __('LP Slider1 Button URL', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider1BtnURL'
            )));

    $wp_customize->add_setting('LandingPageSlider1BtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider1BtnTxt',
            array('label'=> __('LP Slider1 Button Text', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider1BtnTxt'
            )));

    /** Slider 2 info */

    $wp_customize->add_setting('LandingPageSlider2BgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageSlider2BgImage',
            array('label'=> __('LP Banner Slider2 Bg Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageBannerSliderSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 1760, // Optional. Default: 150
                'height'=> 900, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
   
    $wp_customize->add_setting('LandingPageSlider2Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider2Title1',
            array('label'=> __('LP Banner Slider2 Title1', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider2Title1',
            )));

    $wp_customize->add_setting('LandingPageSlider2Title2', array('default'=> "Dry Cleaning Service",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider2Title2',
            array('label'=> __('LP Banner Slider2 Title2', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider2Title2',
            )));
        
    $wp_customize->add_setting('LandingPageSlider2Content', array('default'=> 'Once aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur consectetur adipiscing elit eu fugiat nulla laudantium sunt in culpa qui.',
    'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    'LandingPageSlider2Content',
    array('label'=> __('LP Banner Slider2 Content', 'w3layouts'),
        'section'=> 'LandingPageBannerSliderSection',
        'type'=> 'textarea',
        'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
        ),
    )));	
    $wp_customize->add_setting('LandingPageSlider2BtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider2BtnURL',
            array('label'=> __('LP Slider2 Button URL', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider2BtnURL'
            )));

    $wp_customize->add_setting('LandingPageSlider2BtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider2BtnTxt',
            array('label'=> __('LP Slider2 Button Text', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider2BtnTxt'
            )));


    /** Slider 3 info */

    $wp_customize->add_setting('LandingPageSlider3BgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageSlider3BgImage',
            array('label'=> __('LP Banner Slider3 Bg Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageBannerSliderSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 1760, // Optional. Default: 150
                'height'=> 900, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
   
        
    $wp_customize->add_setting('LandingPageSlider3Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider3Title1',
            array('label'=> __('LP Banner Slider3 Title1', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider3Title1',
            )));

    $wp_customize->add_setting('LandingPageSlider3Title2', array('default'=> "We Care the Cloths you Wear",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider3Title2',
            array('label'=> __('LP Banner Slider3 Title2', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider3Title2',
            )));

    $wp_customize->add_setting('LandingPageSlider3Content', array('default'=> 'Once aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur consectetur adipiscing elit eu fugiat nulla laudantium sunt in culpa qui.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageSlider3Content',
        array('label'=> __('LP Banner Slider3 Content', 'w3layouts'),
            'section'=> 'LandingPageBannerSliderSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));
    $wp_customize->add_setting('LandingPageSlider3BtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider3BtnURL',
            array('label'=> __('LP Slider3 Button URL', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider3BtnURL'
            )));

    $wp_customize->add_setting('LandingPageSlider3BtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider3BtnTxt',
            array('label'=> __('LP Slider3 Button Text', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider3BtnTxt'
            )));


    /** Slider 4 info */

    $wp_customize->add_setting('LandingPageSlider4BgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageSlider4BgImage',
            array('label'=> __('LP Banner Slider4 Bg Image'),
                'description'=> esc_html__(''),
                'section'=> 'LandingPageBannerSliderSection',
                'flex_width'=> false, // Optional. Default: false
                'flex_height'=> true, // Optional. Default: false
                'width'=> 1760, // Optional. Default: 150
                'height'=> 900, // Optional. Default: 150
                'button_labels'=> array( // Optional.
                    'select'=> __('Select Image'),
                    'change'=> __('Change Image'),
                    'remove'=> __('Remove'),
                    'default'=> __('Default'),
                    'placeholder'=> __('No image selected'),
                    'frame_title'=> __('Select Image'),
                    'frame_button'=> __('Choose Image'),
                ))));
   

    $wp_customize->add_setting('LandingPageSlider4Title1', array('default'=> "Washing",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider4Title1',
            array('label'=> __('LP Banner Slider4 Title1', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider4Title1',
            )));

    $wp_customize->add_setting('LandingPageSlider4Title2', array('default'=> "Cleaning Excellence Guaranteed!",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider4Title2',
            array('label'=> __('LP Banner Slider4 Title2', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider4Title2',
            )));

    $wp_customize->add_setting('LandingPageSlider4Content', array('default'=> 'Once aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur consectetur adipiscing elit eu fugiat nulla laudantium sunt in culpa qui.',
        'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageSlider4Content',
        array('label'=> __('LP Banner Slider4 Content', 'w3layouts'),
            'section'=> 'LandingPageBannerSliderSection',
            'type'=> 'textarea',
            'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
            ),
        )));
    $wp_customize->add_setting('LandingPageSlider4BtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider4BtnURL',
            array('label'=> __('LP Slider4 Button URL', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider4BtnURL'
            )));

    $wp_customize->add_setting('LandingPageSlider4BtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageSlider4BtnTxt',
            array('label'=> __('LP Slider4 Button Text', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'settings'=> 'LandingPageSlider4BtnTxt'
            )));


    // BannerSlider top & bottom  area textarea

    // $wp_customize->add_setting('LandingPageBannerSliderTopArea', array('default'=> '',
    // 		'transport'=> 'refresh',
    // 	));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    // 		'LandingPageBannerSliderTopArea',
    // 		array('label'=> __('LP BannerSlider Top', 'w3layouts'),
    // 			'section'=> 'LandingPageBannerSliderSection',
    // 			'type'=> 'textarea',
    // 			'input_attrs'=> array('class'=> 'my-custom-class',
    // 				'style'=> 'border: 1px solid #999',
    // 				'placeholder'=> __('Enter message...', 'w3layouts'),
    // 			),
    // 		)));

    $wp_customize->add_setting('LandingPageBannerSliderBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageBannerSliderBottomArea',
            array('label'=> __('LP BannerSlider Bottom', 'w3layouts'),
                'section'=> 'LandingPageBannerSliderSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // BannerSlider top & bottom  area textarea

    /** LandingPage Banner Sldier section ends **/


    



        /** LandingPage About Section starts **/

        $wp_customize->add_setting('LandingPageAboutRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageAboutRequired',
                array('label'=> __('LandingPage About Section Required', 'w3layouts'),
                    'section'=> 'LandingPageAboutSection',
                    'settings'=> 'LandingPageAboutRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('LandingPageAboutRequired', array('selector'=> 'div.LandingPageAbout', // You can also select a css class
            ));

        $wp_customize->add_setting('LandingPageAboutTitle', array('default'=> "About us",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageAboutTitle',
                array('label'=> __('LP About Section Title', 'w3layouts'),
                    'section'=> 'LandingPageAboutSection',
                    'settings'=> 'LandingPageAboutTitle'
                )));

        $wp_customize->add_setting('LandingPageAboutLeftTitle', array('default'=> "Professional care that is reliable at affordable price",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageAboutLeftTitle',
                array('label'=> __('LP About Left Title', 'w3layouts'),
                    'section'=> 'LandingPageAboutSection',
                    'settings'=> 'LandingPageAboutLeftTitle'
                )));
        $wp_customize->add_setting('LandingPageAboutContent1', array('default'=> 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Voluptatem, enim? Vel quos modi et minus voluptates voluptas fuga blanditiis aut ut impedit, odio voluptatibus eum minima ex similique, in quo? Eligendi hic eveniet rem, sed, dolore corporis repudiandae amet quos cumque harum optio minima adipisci.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutContent1',
            array('label'=> __('LP About Left Para1', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('LandingPageAboutContent2', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Incidunt blanditiis magnam quibusdam cum consequatur eum a! Natus nobis repudiandae iusto aliquam adipisci necessitatibus, nostrum perspiciatis recusandae ipsa amet numquam earum, quae quo totam doloribus explicabo.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutContent2',
            array('label'=> __('LP About Left Para2', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        $wp_customize->add_setting('LandingPageAboutBtnURL', array('default'=> '#url',
        'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageAboutBtnURL',
                array('label'=> __('LP About Left Button URL', 'w3layouts'),
                'section'=> 'LandingPageAboutSection',
                'settings'=> 'LandingPageAboutBtnURL'
                )));

        $wp_customize->add_setting('LandingPageAboutBtnTxt', array('default'=> 'Learn More',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageAboutBtnTxt',
            array('label'=> __('LP About Left Button Text', 'w3layouts'),
            'section'=> 'LandingPageAboutSection',
            'settings'=> 'LandingPageAboutBtnTxt'
        )));
        
        $wp_customize->add_setting('LandingPageAboutImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageAboutImage',
            array('label'=> __('LP About Right image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageAboutSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 640, // Optional. Default: 150
            'height'=> 600, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));
            
        // LandingPage About Section top & bottom  textarea

        $wp_customize->add_setting('LandingPageAboutTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageAboutTopArea',
                array('label'=> __('LP About Top', 'w3layouts'),
                    'section'=> 'LandingPageAboutSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('LandingPageAboutBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageAboutBottomArea',
                array('label'=> __('LP About Bottom', 'w3layouts'),
                    'section'=> 'LandingPageAboutSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // LandingPage About Section top & bottom  textarea

        /** LandingPage About Section ends **/




        /** LandingPage Cover section starts **/

        $wp_customize->add_setting('LandingPageCoverRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageCoverRequired',
                array('label'=> __('LandingPage Cover Section Required', 'w3layouts'),
                    'section'=> 'LandingPageCoverSection',
                    'settings'=> 'LandingPageCoverRequired',
                    'priority'=> 1)));

        $wp_customize->selective_refresh->add_partial('LandingPageCoverRequired', array('selector'=> 'div.LandingPageCover', // You can also select a css class
            ));

        $wp_customize->add_setting('LandingPageCoverBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageCoverBgImage',
            array('label'=> __('LP About Cover Bg image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageCoverSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 1760, // Optional. Default: 150
            'height'=> 900, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageCoverTitle', array('default'=> "Trust Us, We Save Your Time.",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageCoverTitle',
                array('label'=> __('LP Cover Title', 'w3layouts'),
                    'section'=> 'LandingPageCoverSection',
                    'settings'=> 'LandingPageCoverTitle',
                )));
        $wp_customize->add_setting('LandingPageCoverContent', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Nulla non ipsum soluta perferendis veniam qui esse magnam commodi quisquam vitae labore nemo at voluptatem, totam, minima recusandae assumenda. Sequi molestiae ex nihil ducimus modi blanditiis iure explicabo quas veritatis quasi.',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageCoverContent',
                array('label'=> __('LP Cover Content', 'w3layouts'),
                    'section'=> 'LandingPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        
		$wp_customize->add_setting('LandingPageCoverBtnURL', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCoverBtnURL',
            array('label'=> __('LP Cover Button URL', 'w3layouts'),
                'section'=> 'LandingPageCoverSection',
                'settings'=> 'LandingPageCoverBtnURL'
            )));

        $wp_customize->add_setting('LandingPageCoverBtnTxt', array('default'=> 'Read More',
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageCoverBtnTxt',
            array('label'=> __('LP Cover Button Text', 'w3layouts'),
                'section'=> 'LandingPageCoverSection',
                'settings'=> 'LandingPageCoverBtnTxt'
            )));

        // LandingPage Cover Section top & bottom  textarea

        $wp_customize->add_setting('LandingPageCoverTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageCoverTopArea',
                array('label'=> __('LP Cover Top', 'w3layouts'),
                    'section'=> 'LandingPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('LandingPageCoverBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageCoverBottomArea',
                array('label'=> __('LP Cover Bottom', 'w3layouts'),
                    'section'=> 'LandingPageCoverSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        // LandingPage Cover Section top & bottom  textarea

        /** LandingPage Cover section ends **/
    
    
    
        /** LandingPage Services starts **/

        $wp_customize->add_setting('LandingPageServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageServicesRequired',
                array('label'=> __('LandingPage Services Section Required', 'w3layouts'),
                    'section'=> 'LandingPageServicesSection',
                    'settings'=> 'LandingPageServicesRequired',
                    'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('LandingPageServicesRequired', array('selector'=> 'div.LandingPageServices', // You can also select a css class
            ));


        $wp_customize->add_setting('LandingPageServicesTitle', array('default'=> "Services",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageServicesTitle',
            array('label'=> __('LP Services Section Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageServicesTitle',
            )));
        
        $wp_customize->add_setting('LandingPageServicesLeftTitle', array('default'=> "We have 15+ years of experience gives you better results.",
            'transport'=> 'refresh',
        ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageServicesLeftTitle',
            array('label'=> __('LP Services Left Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageServicesLeftTitle',
            )));

        $wp_customize->add_setting('LandingPageServicesContent', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In a et euismod faucibus quam, a sodales er osplacerat vitae. Sed pretium fermentum luctus.Cras sodales nisl vitae dolor facilisis dapibus.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageServicesContent',
            array('label'=> __('LP Services Left Para', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

		$wp_customize->add_setting('LandingPageServicesBtnURL', array('default'=> '#url',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageServicesBtnURL',
                array('label'=> __('LP Services Left Button URL', 'w3layouts'),
                    'section'=> 'LandingPageServicesSection',
                    'settings'=> 'LandingPageServicesBtnURL'
                )));

        $wp_customize->add_setting('LandingPageServicesBtnTxt', array('default'=> 'Know More',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageServicesBtnTxt',
                array('label'=> __('LP Services Left Button Text', 'w3layouts'),
                    'section'=> 'LandingPageServicesSection',
                    'settings'=> 'LandingPageServicesBtnTxt'
                )));
        
        // Service 1
        $wp_customize->add_setting('LandingPageService1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService1Required',
                array('label'=> __('LandingPage Service1 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService1Required'
            )));
        $wp_customize->add_setting('LandingPageService1Icon', array('default'=> 'fa fa-codepen',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService1Icon',
            array('label'=> __('LP Service1 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService1Icon'
            )));
        $wp_customize->add_setting('LandingPageService1Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService1Url',
            array('label'=> __('LP Service1 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService1Url'
            )));
        $wp_customize->add_setting('LandingPageService1Title', array('default'=> 'Persionalized Experience',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService1Title',
            array('label'=> __('LP Service1 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService1Title'
            )));

        $wp_customize->add_setting('LandingPageService1Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService1Content',
			array('label'=> __('LP Service1 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service 1 ends

        // Service2
        $wp_customize->add_setting('LandingPageService2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService2Required',
                array('label'=> __('LandingPage Service2 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService2Required'
            )));
        $wp_customize->add_setting('LandingPageService2Icon', array('default'=> 'fa fa-usd',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService2Icon',
            array('label'=> __('LP Service2 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService2Icon'
            )));
        $wp_customize->add_setting('LandingPageService2Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService2Url',
            array('label'=> __('LP Service2 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService2Url'
            )));
        $wp_customize->add_setting('LandingPageService2Title', array('default'=> 'Affordable Pricing',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService2Title',
            array('label'=> __('LP Service2 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService2Title'
            )));

        $wp_customize->add_setting('LandingPageService2Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService2Content',
			array('label'=> __('LP Service2 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service2 ends

        // Service3
        $wp_customize->add_setting('LandingPageService3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService3Required',
                array('label'=> __('LandingPage Service3 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService3Required'
            )));
        $wp_customize->add_setting('LandingPageService3Icon', array('default'=> 'fa fa-hourglass',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService3Icon',
            array('label'=> __('LP Service3 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService3Icon'
            )));
        $wp_customize->add_setting('LandingPageService3Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService3Url',
            array('label'=> __('LP Service3 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService3Url'
            )));
        $wp_customize->add_setting('LandingPageService3Title', array('default'=> 'Convenience',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService3Title',
            array('label'=> __('LP Service3 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService3Title'
            )));

        $wp_customize->add_setting('LandingPageService3Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService3Content',
			array('label'=> __('LP Service3 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service3 ends

        // Service4
        $wp_customize->add_setting('LandingPageService4Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService4Required',
                array('label'=> __('LandingPage Service4 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService4Required'
            )));
        $wp_customize->add_setting('LandingPageService4Icon', array('default'=> 'fa fa-modx',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService4Icon',
            array('label'=> __('LP Service4 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService4Icon'
            )));
        $wp_customize->add_setting('LandingPageService4Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService4Url',
            array('label'=> __('LP Service4 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService4Url'
            )));
        $wp_customize->add_setting('LandingPageService4Title', array('default'=> 'Quality',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService4Title',
            array('label'=> __('LP Service4 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService4Title'
            )));

        $wp_customize->add_setting('LandingPageService4Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService4Content',
			array('label'=> __('LP Service4 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service4 ends

        // Service5
        $wp_customize->add_setting('LandingPageService5Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService5Required',
                array('label'=> __('LandingPage Service5 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService5Required'
            )));
        $wp_customize->add_setting('LandingPageService5Icon', array('default'=> 'fa fa-truck',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService5Icon',
            array('label'=> __('LP Service5 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService5Icon'
            )));
        $wp_customize->add_setting('LandingPageService5Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService5Url',
            array('label'=> __('LP Service5 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService5Url'
            )));
        $wp_customize->add_setting('LandingPageService5Title', array('default'=> 'Express Delivery',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService5Title',
            array('label'=> __('LP Service5 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService5Title'
            )));

        $wp_customize->add_setting('LandingPageService5Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService5Content',
			array('label'=> __('LP Service5 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service5 ends

        // Service6
        $wp_customize->add_setting('LandingPageService6Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageService6Required',
                array('label'=> __('LandingPage Service6 Required', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService6Required'
            )));
        $wp_customize->add_setting('LandingPageService6Icon', array('default'=> 'fa fa-shopping-bag',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService6Icon',
            array('label'=> __('LP Service6 Icon', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService6Icon'
            )));
        $wp_customize->add_setting('LandingPageService6Url', array('default'=> '#url',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService6Url',
            array('label'=> __('LP Service6 Title Url', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService6Url'
            )));
        $wp_customize->add_setting('LandingPageService6Title', array('default'=> 'Instant Order Update',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageService6Title',
            array('label'=> __('LP Service6 Title', 'w3layouts'),
                'section'=> 'LandingPageServicesSection',
                'settings'=> 'LandingPageService6Title'
            )));

        $wp_customize->add_setting('LandingPageService6Content', array('default'=> 'Lorem ipsum dolor sit amet, init sed adipisci ngelit. In euismod faucibus.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPageService6Content',
			array('label'=> __('LP Service6 Para', 'w3layouts'),
				'section'=> 'LandingPageServicesSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
        // Service6 ends

        // LandingPage Services top & bottom area textarea

        $wp_customize->add_setting('LandingPageServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageServicesTopArea',
                array('label'=> __('LandingPage Services Top', 'w3layouts'),
                    'section'=> 'LandingPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('LandingPageServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageServicesBottomArea',
                array('label'=> __('LandingPage Services Bottom', 'w3layouts'),
                    'section'=> 'LandingPageServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // LandingPage Services top & bottom area textarea

        /** LandingPage Services ends **/




        /** LandingPage Featured Services starts **/

        $wp_customize->add_setting('LandingPageFeaturedServicesRequired',
            array('default'=> 1,
                'transport'=> 'refresh',
                'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedServicesRequired',
                array('label'=> __('LandingPage Featured Services Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedServicesRequired',
                'priority'=> 1)));
        $wp_customize->selective_refresh->add_partial('LandingPageFeaturedServicesRequired', array('selector'=> 'div.LandingPageFeaturedServices', // You can also select a css class
            ));

        $wp_customize->add_setting('LandingPageFeaturedServicesBgImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedServicesBgImage',
                array('label'=> __('LP Featured Services Bg Image'),
				'description'=> esc_html__(''),
				'section'=> 'LandingPageFeaturedServicesSection',
				'flex_width'=> false, // Optional. Default: false
				'flex_height'=> true, // Optional. Default: false
				'width'=> 1760, // Optional. Default: 150
				'height'=> 900, // Optional. Default: 150
				'button_labels'=> array( // Optional.
				'select'=> __('Select Image'),
				'change'=> __('Change Image'),
				'remove'=> __('Remove'),
				'default'=> __('Default'),
				'placeholder'=> __('No image selected'),
				'frame_title'=> __('Select Image'),
				'frame_button'=> __('Choose Image'),
			))));

        $wp_customize->add_setting('LandingPageFeaturedServicesTitle', array('default'=> "Featured Services",
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedServicesTitle',
            array('label'=> __('LP Featured Services Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedServicesTitle',
            )));
            
        // Featured Service1
        $wp_customize->add_setting('LandingPageFeaturedService1Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService1Required',
                array('label'=> __('LP Featured Service1 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService1Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService1Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService1Image',
            array('label'=> __('LP Featured Service1 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService1Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService1Url',
            array('label'=> __('LP Featured Service1 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService1Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService1Title', array('default'=> "COIN LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService1Title',
            array('label'=> __('LP Featured Service1 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService1Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService1Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService1Content',
            array('label'=> __('LP Featured Service1 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
            
        // Featured Service2
        $wp_customize->add_setting('LandingPageFeaturedService2Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService2Required',
                array('label'=> __('LP Featured Service2 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService2Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService2Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService2Image',
            array('label'=> __('LP Featured Service2 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService2Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService2Url',
            array('label'=> __('LP Featured Service2 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService2Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService2Title', array('default'=> "RESIDENTIAL LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService2Title',
            array('label'=> __('LP Featured Service2 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService2Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService2Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService2Content',
            array('label'=> __('LP Featured Service2 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
            
        // Featured Service3
        $wp_customize->add_setting('LandingPageFeaturedService3Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService3Required',
                array('label'=> __('LP Featured Service3 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService3Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService3Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService3Image',
            array('label'=> __('LP Featured Service3 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService3Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService3Url',
            array('label'=> __('LP Featured Service3 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService3Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService3Title', array('default'=> "BUSINESS LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService3Title',
            array('label'=> __('LP Featured Service3 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService3Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService3Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService3Content',
            array('label'=> __('LP Featured Service3 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Services Middle Image
        $wp_customize->add_setting('LandingPageFeaturedServiceMiddleImageRequired',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedServiceMiddleImageRequired',
                array('label'=> __('LP Featured Services Middle Image Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedServiceMiddleImageRequired'
            )));

        $wp_customize->add_setting('LandingPageFeaturedServiceMiddleImage',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedServiceMiddleImage',
            array('label'=> __('LP Featured Services Middle Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        // Featured Service4
        $wp_customize->add_setting('LandingPageFeaturedService4Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService4Required',
                array('label'=> __('LP Featured Service4 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService4Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService4Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService4Image',
            array('label'=> __('LP Featured Service4 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService4Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService4Url',
            array('label'=> __('LP Featured Service4 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService4Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService4Title', array('default'=> "COIN LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService4Title',
            array('label'=> __('LP Featured Service4 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService4Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService4Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService4Content',
            array('label'=> __('LP Featured Service4 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Service5
        $wp_customize->add_setting('LandingPageFeaturedService5Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService5Required',
                array('label'=> __('LP Featured Service5 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService5Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService5Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService5Image',
            array('label'=> __('LP Featured Service5 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService5Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService5Url',
            array('label'=> __('LP Featured Service5 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService5Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService5Title', array('default'=> "BUSINESS LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService5Title',
            array('label'=> __('LP Featured Service5 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService5Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService5Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService5Content',
            array('label'=> __('LP Featured Service5 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // Featured Service6
        $wp_customize->add_setting('LandingPageFeaturedService6Required',
            array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
            ));
        $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturedService6Required',
                array('label'=> __('LP Featured Service6 Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService6Required'
            )));
        $wp_customize->add_setting('LandingPageFeaturedService6Image',
            array('default'=> '',
                'transport'=> 'refresh',
                'sanitize_callback'=> 'absint'
            ));
        $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageFeaturedService6Image',
            array('label'=> __('LP Featured Service6 Image'),
            'description'=> esc_html__(''),
            'section'=> 'LandingPageFeaturedServicesSection',
            'flex_width'=> false, // Optional. Default: false
            'flex_height'=> true, // Optional. Default: false
            'width'=> 132, // Optional. Default: 150
            'height'=> 132, // Optional. Default: 150
            'button_labels'=> array( // Optional.
                'select'=> __('Select Image'),
                'change'=> __('Change Image'),
                'remove'=> __('Remove'),
                'default'=> __('Default'),
                'placeholder'=> __('No image selected'),
                'frame_title'=> __('Select Image'),
                'frame_button'=> __('Choose Image'),
            ))));

        $wp_customize->add_setting('LandingPageFeaturedService6Url', array('default'=> "#url",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService6Url',
            array('label'=> __('LP Featured Service6 Title URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService6Url',
            )));
        $wp_customize->add_setting('LandingPageFeaturedService6Title', array('default'=> "RESIDENTIAL LAUNDRY",
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService6Title',
            array('label'=> __('LP Featured Service6 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'settings'=> 'LandingPageFeaturedService6Title',
            )));
            
        $wp_customize->add_setting('LandingPageFeaturedService6Content', array('default'=> 'Lorem ipsum dolor sit amet,Ea sed illum facere aperiam sequi optio consectetur adipisicing elit.',
            'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturedService6Content',
            array('label'=> __('LP Featured Service6 Para', 'w3layouts'),
                'section'=> 'LandingPageFeaturedServicesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                'style'=> 'border: 1px solid #999',
                'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

        // LandingPage Featured Services top & bottom area textarea

        $wp_customize->add_setting('LandingPageFeaturedServicesTopArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageFeaturedServicesTopArea',
                array('label'=> __('LP Featured Services Top', 'w3layouts'),
                    'section'=> 'LandingPageFeaturedServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));

        $wp_customize->add_setting('LandingPageFeaturedServicesBottomArea', array('default'=> '',
                'transport'=> 'refresh',
            ));
        $wp_customize->add_control(new WP_Customize_Control($wp_customize,
                'LandingPageFeaturedServicesBottomArea',
                array('label'=> __('LP Featured Services Bottom', 'w3layouts'),
                    'section'=> 'LandingPageFeaturedServicesSection',
                    'type'=> 'textarea',
                    'input_attrs'=> array('class'=> 'my-custom-class',
                        'style'=> 'border: 1px solid #999',
                        'placeholder'=> __('Enter message...', 'w3layouts'),
                    ),
                )));
        // LandingPage Featured Services top & bottom area textarea

        /** LandingPage Featured Services ends **/



    /** LandingPage Stats section starts **/

    $wp_customize->add_setting('LandingPageStatsRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStatsRequired',
            array('label'=> __('LandingPage Stats Section Required', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStatsRequired',
                'priority'=> 1)));

    $wp_customize->selective_refresh->add_partial('LandingPageStatsRequired', array('selector'=> 'div.LandingPageStats', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageStatsTitle', array('default'=> 'Fun Facts',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageStatsTitle',
        array('label'=> __('LP Stats Title', 'w3layouts'),
            'section'=> 'LandingPageStatsSection',
            'settings'=> 'LandingPageStatsTitle'
        )));

    // Stats1 grid starts
    $wp_customize->add_setting('LandingPageStats1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStats1Required',
            array('label'=> __('LP Stats1 Required', 'w3layouts'),					
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats1Required'
            )));

    $wp_customize->add_setting('LandingPageStats1Icon', array('default'=> 'fa fa-smile-o',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats1Icon',
            array('label'=> __('LP Stats1 Icon', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats1Icon'
            )));

    $wp_customize->add_setting('LandingPageStats1Number', array('default'=> '245',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats1Number',
            array('label'=> __('LP Stats1 Number', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats1Number'
            )));

    $wp_customize->add_setting('LandingPageStats1Title', array('default'=> "Happy Clients",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats1Title',
            array('label'=> __('LP Stats1 Title', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats1Title',
            )));

    // Stats2 grid starts
    $wp_customize->add_setting('LandingPageStats2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStats2Required',
            array('label'=> __('LP Stats2 Required', 'w3layouts'),					
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats2Required'
            )));

    $wp_customize->add_setting('LandingPageStats2Icon', array('default'=> 'fa fa-thumbs-o-up',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats2Icon',
            array('label'=> __('LP Stats2 Icon', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats2Icon'
            )));

    $wp_customize->add_setting('LandingPageStats2Number', array('default'=> '563',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats2Number',
            array('label'=> __('LP Stats2 Number', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats2Number'
            )));

    $wp_customize->add_setting('LandingPageStats2Title', array('default'=> "People likes us",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats2Title',
            array('label'=> __('LP Stats2 Title', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats2Title',
            )));

    // Stats3 grid starts
    $wp_customize->add_setting('LandingPageStats3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStats3Required',
            array('label'=> __('LP Stats3 Required', 'w3layouts'),					
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats3Required'
            )));

    $wp_customize->add_setting('LandingPageStats3Icon', array('default'=> 'fa fa-history',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats3Icon',
            array('label'=> __('LP Stats3 Icon', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats3Icon'
            )));

    $wp_customize->add_setting('LandingPageStats3Number', array('default'=> '114',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats3Number',
            array('label'=> __('LP Stats3 Number', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats3Number'
            )));

    $wp_customize->add_setting('LandingPageStats3Title', array('default'=> "Year of Experience",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats3Title',
            array('label'=> __('LP Stats3 Title', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats3Title',
            )));

    // Stats4 grid starts
    $wp_customize->add_setting('LandingPageStats4Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageStats4Required',
            array('label'=> __('LP Stats4 Required', 'w3layouts'),					
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats4Required'
            )));

    $wp_customize->add_setting('LandingPageStats4Icon', array('default'=> 'fa fa-heart',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats4Icon',
            array('label'=> __('LP Stats4 Icon', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats4Icon'
            )));

    $wp_customize->add_setting('LandingPageStats4Number', array('default'=> '104',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats4Number',
            array('label'=> __('LP Stats4 Number', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats4Number'
            )));

    $wp_customize->add_setting('LandingPageStats4Title', array('default'=> "Awesome service",
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStats4Title',
            array('label'=> __('LP Stats4 Title', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'settings'=> 'LandingPageStats4Title',
            )));

    // LandingPage Stats top & bottom area textarea

    $wp_customize->add_setting('LandingPageStatsTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStatsTopArea',
            array('label'=> __('LP Stats Top', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageStatsBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageStatsBottomArea',
            array('label'=> __('LP Stats Bottom', 'w3layouts'),
                'section'=> 'LandingPageStatsSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage Stats top & bottom area textarea

    /** LandingPage Stats section ends **/


		/** LandingPage Features section starts **/

		$wp_customize->add_setting('LandingPageFeaturesRequired',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeaturesRequired',
            array('label'=> __('LandingPage Features Section Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeaturesRequired',
                'priority'=> 1)));

    $wp_customize->selective_refresh->add_partial('LandingPageFeaturesRequired', array('selector'=> 'div.LandingPageFeatures', // You can also select a css class
        ));

    $wp_customize->add_setting('LandingPageFeaturesTitle', array('default'=> 'We Specialize in',
        'transport'=> 'refresh',
    ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageFeaturesTitle',
        array('label'=> __('LP Features Title', 'w3layouts'),
            'section'=> 'LandingPageFeaturesSection',
            'settings'=> 'LandingPageFeaturesTitle'
        )));

    // Feature 1 grid starts
    $wp_customize->add_setting('LandingPageFeature1Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature1Required',
            array('label'=> __('LP Feature1 Grid Required', 'w3layouts'),					
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature1Required'
            )));

    $wp_customize->add_setting('LandingPageFeature1Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature1Url',
            array('label'=> __('LP Feature 1 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature1Url'
            )));

    $wp_customize->add_setting('LandingPageFeature1Icon', array('default'=> 'fa fa-map-o',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature1Icon',
            array('label'=> __('LP Feature 1 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature1Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature1Title', array('default'=> "Stream Iron Service",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature1Title',
            array('label'=> __('LP Feature 1 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature1Title',
            )));

    $wp_customize->add_setting('LandingPageFeature1Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature1Content',
            array('label'=> __('LP Feature 1 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // Feature 1 grid ends


    // Feature2 grid starts
    $wp_customize->add_setting('LandingPageFeature2Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature2Required',
            array('label'=> __('LP Feature2 Grid Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature2Required'
            )));
    $wp_customize->add_setting('LandingPageFeature2Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature2Url',
            array('label'=> __('LP Feature2 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature2Url'
            )));

    $wp_customize->add_setting('LandingPageFeature2Icon', array('default'=> 'fa fa-shirtsinbulk',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature2Icon',
            array('label'=> __('LP Feature2 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature2Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature2Title', array('default'=> "Dry Cleaning Service",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature2Title',
            array('label'=> __('LP Feature2 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature2Title',
            )));

    $wp_customize->add_setting('LandingPageFeature2Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature2Content',
            array('label'=> __('LP Feature2 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // Feature2 grid ends


    // Feature3 grid starts
    $wp_customize->add_setting('LandingPageFeature3Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature3Required',
            array('label'=> __('LP Feature3 Grid Required', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature3Required'
            )));

    $wp_customize->add_setting('LandingPageFeature3Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature3Url',
            array('label'=> __('LP Feature3 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature3Url'
            )));
    $wp_customize->add_setting('LandingPageFeature3Icon', array('default'=> 'fa fa-envira',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature3Icon',
            array('label'=> __('LP Feature3 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature3Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature3Title', array('default'=> "Stain Removal",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature3Title',
            array('label'=> __('LP Feature3 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature3Title',
            )));

    $wp_customize->add_setting('LandingPageFeature3Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature3Content',
            array('label'=> __('LP Feature3 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // Feature3 grid ends

    // Feature4 grid starts
    $wp_customize->add_setting('LandingPageFeature4Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature4Required',
            array('label'=> __('LP Feature4 Grid Required', 'w3layouts'),					
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature4Required'
            )));

    $wp_customize->add_setting('LandingPageFeature4Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature4Url',
            array('label'=> __('LP Feature4 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature4Url'
            )));

    $wp_customize->add_setting('LandingPageFeature4Icon', array('default'=> 'fa fa-bar-chart',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature4Icon',
            array('label'=> __('LP Feature4 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature4Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature4Title', array('default'=> "Curtains & Drapery",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature4Title',
            array('label'=> __('LP Feature4 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature4Title',
            )));

    $wp_customize->add_setting('LandingPageFeature4Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature4Content',
            array('label'=> __('LP Feature4 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // Feature4 grid ends

    // Feature5 grid starts
    $wp_customize->add_setting('LandingPageFeature5Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature5Required',
            array('label'=> __('LP Feature5 Grid Required', 'w3layouts'),					
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature5Required'
            )));

    $wp_customize->add_setting('LandingPageFeature5Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature5Url',
            array('label'=> __('LP Feature5 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature5Url'
            )));

    $wp_customize->add_setting('LandingPageFeature5Icon', array('default'=> 'fa fa-codepen',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature5Icon',
            array('label'=> __('LP Feature5 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature5Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature5Title', array('default'=> "Silk & Suede",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature5Title',
            array('label'=> __('LP Feature5 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature5Title',
            )));

    $wp_customize->add_setting('LandingPageFeature5Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature5Content',
            array('label'=> __('LP Feature5 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // Feature5 grid ends

    // Feature6 grid starts
    $wp_customize->add_setting('LandingPageFeature6Required',
        array('default'=> 1,
            'transport'=> 'refresh',
            'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageFeature6Required',
            array('label'=> __('LP Feature6 Grid Required', 'w3layouts'),					
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature6Required'
            )));

    $wp_customize->add_setting('LandingPageFeature6Url', array('default'=> '#url',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature6Url',
            array('label'=> __('LP Feature6 URL', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature6Url'
            )));

    $wp_customize->add_setting('LandingPageFeature6Icon', array('default'=> 'fa fa-modx',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature6Icon',
            array('label'=> __('LP Feature6 Icon', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature6Icon'
            )));

    $wp_customize->add_setting('LandingPageFeature6Title', array('default'=> "Commercial Laundry",
            'transport'=> 'refresh',
        ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature6Title',
            array('label'=> __('LP Feature6 Title', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'settings'=> 'LandingPageFeature6Title',
            )));

    $wp_customize->add_setting('LandingPageFeature6Content', array('default'=> 'Lorem ipsum dolor sit amet, consectetur adipisicingelit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua, quis nostrud.',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeature6Content',
            array('label'=> __('LP Feature6 Content', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    // Feature6 grid ends

    // LandingPage Features top & bottom area textarea

    $wp_customize->add_setting('LandingPageFeaturesTopArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturesTopArea',
            array('label'=> __('LP Features Top', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));

    $wp_customize->add_setting('LandingPageFeaturesBottomArea', array('default'=> '',
            'transport'=> 'refresh',
        ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
            'LandingPageFeaturesBottomArea',
            array('label'=> __('LP Features Bottom', 'w3layouts'),
                'section'=> 'LandingPageFeaturesSection',
                'type'=> 'textarea',
                'input_attrs'=> array('class'=> 'my-custom-class',
                    'style'=> 'border: 1px solid #999',
                    'placeholder'=> __('Enter message...', 'w3layouts'),
                ),
            )));
    // LandingPage Features top & bottom area textarea

    /** LandingPage Features section ends **/



		/** LandingPage Pricing starts **/

		$wp_customize->add_setting('LandingPagePricingRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPagePricingRequired',
				array('label'=> __('LandingPage Pricing Required', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('LandingPagePricingRequired', array('selector'=> 'div.LandingPagePricing', // You can also select a css class
			));

		$wp_customize->add_setting('LandingPagePricingTitle', array('default'=> "Laundry Service Package",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTitle',
			array('label'=> __('LP Pricing Section Title', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTitle',
			)));
		
		// Pricing plan 1
		$wp_customize->add_setting('LandingPagePricingPlan1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPagePricingPlan1Required',
				array('label'=> __('LP Pricing Plan1 Required', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingPlan1Required'
			)));

		$wp_customize->add_setting('LandingPagePricingFreeCurrencySymbol', array('default'=> "$",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingFreeCurrencySymbol',
				array('label'=> __('LP Pricing Plan1 Currency Symbol', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingFreeCurrencySymbol'
				)));

		$wp_customize->add_setting('LandingPagePricingFreePrice', array('default'=> "19",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingFreePrice',
				array('label'=> __('LP Pricing Plan1 Price', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingFreePrice'
				)));

		$wp_customize->add_setting('LandingPagePricingFreePerodic', array('default'=> "/month",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingFreePerodic',
				array('label'=> __('LP Pricing Plan1 Perodic', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingFreePerodic'
				)));

		$wp_customize->add_setting('LandingPagePricingBasicTitle', array('default'=> "Basic Plan",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingBasicTitle',
				array('label'=> __('LP Pricing Basic Plan Title', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingBasicTitle'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem1', array('default'=> "4 t-shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem1',
				array('label'=> __('LP Pricing Plan1 List Item 1', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem1'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem2', array('default'=> "1 pairs of jeans",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem2',
				array('label'=> __('LP Pricing Plan1 List Item 2', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem2'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem3', array('default'=> "3 button-down shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem3',
				array('label'=> __('LP Pricing Plan1 List Item 3', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem3'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem4', array('default'=> "1 pair of shorts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem4',
				array('label'=> __('LP Pricing Plan1 List Item 4', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem4'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem5', array('default'=> "7 pairs of underwear",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem5',
				array('label'=> __('LP Pricing Plan1 List Item 5', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem5'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem6', array('default'=> "6 pairs of socks",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTable1ListItem6',
			array('label'=> __('LP Pricing Plan1 List Item 6', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTable1ListItem6'
			)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem7', array('default'=> "1 towel",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTable1ListItem7',
			array('label'=> __('LP Pricing Plan1 List Item 7', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTable1ListItem7'
			)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem8', array('default'=> "1 set of sheets",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ListItem8',
				array('label'=> __('LP Pricing Plan1 List Item 8', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ListItem8'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ListItem9', array('default'=> "1 set of sheets (every other week)",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTable1ListItem9',
			array('label'=> __('LP Pricing Plan1 List Item 9', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTable1ListItem9'
			)));
		$wp_customize->add_setting('LandingPagePricingTable1ButtonURL', array('default'=> '#url',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ButtonURL',
				array('label'=> __('LP URL Link to Plan1 Button', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ButtonURL'
				)));

		$wp_customize->add_setting('LandingPagePricingTable1ButtonTxt', array('default'=> 'Choose Plan',
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable1ButtonTxt',
				array('label'=> __('LP Pricing Plan1 Button Text', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable1ButtonTxt'
				)));

		// pricing Plan1


		// Pricing plan 2
		$wp_customize->add_setting('LandingPagePricingPlan2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPagePricingPlan2Required',
				array('label'=> __('LP Pricing Plan2 Required', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingPlan2Required'
			)));

		$wp_customize->add_setting('LandingPagePricingStandardCurrencySymbol', array('default'=> "$",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingStandardCurrencySymbol',
				array('label'=> __('LP Pricing Plan2 Currency Symbol', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingStandardCurrencySymbol'
				)));

		$wp_customize->add_setting('LandingPagePricingStandardPrice', array('default'=> "29",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingStandardPrice',
				array('label'=> __('LP Pricing Plan2 Price', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingStandardPrice'
				)));

		$wp_customize->add_setting('LandingPagePricingStandardPerodic', array('default'=> "/month",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingStandardPerodic',
				array('label'=> __('LP Pricing Plan2 Periodic', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingStandardPerodic'
				)));

		$wp_customize->add_setting('LandingPagePricingStandardTitle', array('default'=> "Regular Plan",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingStandardTitle',
				array('label'=> __('LP Pricing Regular Plan Title', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingStandardTitle'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem1', array('default'=> "4 t-shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem1',
				array('label'=> __('LP Pricing Plan2 List Item 1', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem1'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem2', array('default'=> "1 pairs of jeans",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem2',
				array('label'=> __('LP Pricing Plan2 List Item 2', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem2'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem3', array('default'=> "3 button-down shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem3',
				array('label'=> __('LP Pricing Plan2 List Item 3', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem3'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem4', array('default'=> "1 pair of shorts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem4',
				array('label'=> __('LP Pricing Plan2 List Item 4', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem4'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem5', array('default'=> "7 pairs of underwear",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem5',
				array('label'=> __('LP Pricing Plan2 List Item 5', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem5'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem6', array('default'=> "6 pairs of socks",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem6',
				array('label'=> __('LP Pricing Plan2 List Item 6', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem6'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ListItem7', array('default'=> "1 towel",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTable2ListItem7',
			array('label'=> __('LP Pricing Plan2 List Item 7', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTable2ListItem7'
			)));
			
		$wp_customize->add_setting('LandingPagePricingTable2ListItem8', array('default'=> "1 set of sheets",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LandingPagePricingTable2ListItem8',
			array('label'=> __('LP Pricing Plan2 List Item 8', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingTable2ListItem8'
			)));
		
		$wp_customize->add_setting('LandingPagePricingTable2ListItem9', array('default'=> "1 set of sheets",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ListItem9',
				array('label'=> __('LP Pricing Plan2 List Item 9', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ListItem9'
				)));
					
		$wp_customize->add_setting('LandingPagePricingTable2ButtonURL', array('default'=> '#url',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ButtonURL',
				array('label'=> __('LP URL Link to Plan2 Button', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ButtonURL'
				)));

		$wp_customize->add_setting('LandingPagePricingTable2ButtonTxt', array('default'=> 'Choose Plan',
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable2ButtonTxt',
				array('label'=> __('LP Pricing Plan2 Button Text', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable2ButtonTxt'
				)));
		// pricing Plan2

		// Pricing plan 3
		$wp_customize->add_setting('LandingPagePricingPlan3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPagePricingPlan3Required',
				array('label'=> __('LP Pricing Plan3 Required', 'w3layouts'),
				'section'=> 'LandingPagePricingSection',
				'settings'=> 'LandingPagePricingPlan3Required'
			)));

		$wp_customize->add_setting('LandingPagePricingExclusiveCurrencySymbol', array('default'=> "$",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingExclusiveCurrencySymbol',
				array('label'=> __('LP Pricing Plan3 Currency Symbol', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingExclusiveCurrencySymbol'
				)));

		$wp_customize->add_setting('LandingPagePricingExclusivePrice', array('default'=> "39",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingExclusivePrice',
				array('label'=> __('LP Pricing Plan3 Price', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingExclusivePrice'
				)));

		$wp_customize->add_setting('LandingPagePricingExclusivePerodic', array('default'=> "/month",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingExclusivePerodic',
				array('label'=> __('LP Pricing Plan3 Periodic', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingExclusivePerodic'
				)));

		$wp_customize->add_setting('LandingPagePricingExclusiveTitle', array('default'=> "Premium Plan",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingExclusiveTitle',
				array('label'=> __('LP Pricing Premium Plan Title', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingExclusiveTitle'
				)));
		$wp_customize->add_setting('LandingPagePricingTable3ListItem1', array('default'=> "4 t-shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem1',
				array('label'=> __('LP Pricing Plan3 List Item 1', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem1'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem2', array('default'=> "1 pairs of jeans",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem2',
				array('label'=> __('LP Pricing Plan3 List Item 2', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem2'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem3', array('default'=> "3 button-down shirts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem3',
				array('label'=> __('LP Pricing Plan3 List Item 3', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem3'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem4', array('default'=> "1 pair of shorts",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem4',
				array('label'=> __('LP Pricing Plan3 List Item 4', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem4'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem5', array('default'=> "7 pairs of underwear",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem5',
				array('label'=> __('LP Pricing Plan3 List Item 5', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem5'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem6', array('default'=> "6 pairs of socks",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem6',
				array('label'=> __('LP Pricing Plan3 List Item 6', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem6'
				)));
		
		$wp_customize->add_setting('LandingPagePricingTable3ListItem7', array('default'=> "1 towel",
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem7',
				array('label'=> __('LP Pricing Plan3 List Item 7', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem7'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem8', array('default'=> "1 set of sheets",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem8',
				array('label'=> __('LP Pricing Plan3 List Item 8', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem8'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ListItem9', array('default'=> "1 set of sheets (every other week)",
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ListItem9',
				array('label'=> __('LP Pricing Plan3 List Item 9', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ListItem9'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ButtonURL', array('default'=> '#url',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ButtonURL',
				array('label'=> __('LP URL Link to Plan3 Button', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ButtonURL'
				)));

		$wp_customize->add_setting('LandingPagePricingTable3ButtonTxt', array('default'=> 'Choose Plan',
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTable3ButtonTxt',
				array('label'=> __('LP Pricing Plan3 Button Text', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'settings'=> 'LandingPagePricingTable3ButtonTxt'
				)));
		// pricing Plan3


		// LandingPage Pricing top & bottom area textarea

		$wp_customize->add_setting('LandingPagePricingTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingTopArea',
				array('label'=> __('LP Pricing Top', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPagePricingBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPagePricingBottomArea',
				array('label'=> __('LP Pricing Bottom', 'w3layouts'),
					'section'=> 'LandingPagePricingSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// LandingPage Pricing top & bottom area textarea

		/** LandingPage Pricing Section ends **/


		

		/** LandingPage Testimonials starts **/

		$wp_customize->add_setting('LandingPageTestimonialsRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonialsRequired',
				array('label'=> __('LandingPage Testimonials Required', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('LandingPageTestimonialsRequired', array('selector'=> 'div.LandingPageTestimonials', // You can also select a css class
			));

		$wp_customize->add_setting('LandingPageTestimonialsTitle', array('default'=> "Customer Words",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsTitle',
				array('label'=> __('LP Testimonials Title', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsTitle',
				)));

		// client 1

		$wp_customize->add_setting('LandingPageTestimonial1Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial1Required',
				array('label'=> __('LP Testimonial 1 Required', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonial1Required'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient1Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient1Image',
				array('label'=> __('LP Client 1 Image'),
					'description'=> esc_html__(''),
					'section'=> 'LandingPageTestimonialsSection',
					'flex_width'=> false, // Optional. Default: false
					'flex_height'=> true, // Optional. Default: false
					'width'=> 400, // Optional. Default: 150
					'height'=> 600, // Optional. Default: 150
					'button_labels'=> array( // Optional.
					'select'=> __('Select Image'),
					'change'=> __('Change Image'),
					'remove'=> __('Remove'),
					'default'=> __('Default'),
					'placeholder'=> __('No image selected'),
					'frame_title'=> __('Select Image'),
					'frame_button'=> __('Choose Image'),
					))));

		$wp_customize->add_setting('LandingPageTestimonialsMessage1', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda corporis deleniti praesentium doloremque. Repellendus soluta quos nemo quisquam consectetur temporibus quam obcaecati sapiente quaerat et.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsMessage1',
				array('label'=> __('LP Client 1 Message', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient1Name', array('default'=> 'Isabella Mia',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient1Name',
				array('label'=> __('LP Client 1 Name', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient1Name'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient1Designation', array('default'=> 'Company name',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient1Designation',
				array('label'=> __('LP Client 1 Designation', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient1Designation'
				)));
		// client 1

		// client 2

		$wp_customize->add_setting('LandingPageTestimonial2Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial2Required',
				array('label'=> __('LP Testimonial 2 Required', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonial2Required'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient2Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient2Image',
				array('label'=> __('LP Client 2 Image'),
					'description'=> esc_html__(''),
					'section'=> 'LandingPageTestimonialsSection',
					'flex_width'=> false, // Optional. Default: false
					'flex_height'=> true, // Optional. Default: false
					'width'=> 400, // Optional. Default: 150
					'height'=> 600, // Optional. Default: 150
					'button_labels'=> array( // Optional.
					'select'=> __('Select Image'),
					'change'=> __('Change Image'),
					'remove'=> __('Remove'),
					'default'=> __('Default'),
					'placeholder'=> __('No image selected'),
					'frame_title'=> __('Select Image'),
					'frame_button'=> __('Choose Image'),
				))));
		$wp_customize->add_setting('LandingPageTestimonialsMessage2', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda corporis deleniti praesentium doloremque. Repellendus soluta quos nemo quisquam consectetur temporibus quam obcaecati sapiente quaerat et.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsMessage2',
				array('label'=> __('LP Client 2 Message', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient2Name', array('default'=> 'Benjamin Lucas',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient2Name',
				array('label'=> __('LP Client 2 Name', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient2Name'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient2Designation', array('default'=> 'Company name',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient2Designation',
				array('label'=> __('LP Client 2 Designation', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient2Designation'
				)));
		// client 2

		// client 3

		$wp_customize->add_setting('LandingPageTestimonial3Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial3Required',
				array('label'=> __('LP Testimonial 3 Required', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonial3Required'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient3Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient3Image',
				array('label'=> __('LP Client 3 Image'),
					'description'=> esc_html__(''),
					'section'=> 'LandingPageTestimonialsSection',
					'flex_width'=> false, // Optional. Default: false
					'flex_height'=> true, // Optional. Default: false
					'width'=> 400, // Optional. Default: 150
					'height'=> 600, // Optional. Default: 150
					'button_labels'=> array( // Optional.
					'select'=> __('Select Image'),
					'change'=> __('Change Image'),
					'remove'=> __('Remove'),
					'default'=> __('Default'),
					'placeholder'=> __('No image selected'),
					'frame_title'=> __('Select Image'),
					'frame_button'=> __('Choose Image'),
				))));
		$wp_customize->add_setting('LandingPageTestimonialsMessage3', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda corporis deleniti praesentium doloremque. Repellendus soluta quos nemo quisquam consectetur temporibus quam obcaecati sapiente quaerat et.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsMessage3',
				array('label'=> __('LP Client 3 Message', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		$wp_customize->add_setting('LandingPageTestimonialsClient3Name', array('default'=> 'Oliver Bradley',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient3Name',
				array('label'=> __('LP Client 3 Name', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient3Name'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient3Designation', array('default'=> 'Company name',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient3Designation',
				array('label'=> __('LP Client 3 Designation', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient3Designation'
				)));
		// client 3

		// client 4

		$wp_customize->add_setting('LandingPageTestimonial4Required',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageTestimonial4Required',
				array('label'=> __('LP Testimonial 4 Required', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonial4Required'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient4Image',
			array('default'=> '',
				'transport'=> 'refresh',
				'sanitize_callback'=> 'absint'
			));
		$wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'LandingPageTestimonialsClient4Image',
				array('label'=> __('LP Client 4 Image'),
					'description'=> esc_html__(''),
					'section'=> 'LandingPageTestimonialsSection',
					'flex_width'=> false, // Optional. Default: false
					'flex_height'=> true, // Optional. Default: false
					'width'=> 400, // Optional. Default: 150
					'height'=> 600, // Optional. Default: 150
					'button_labels'=> array( // Optional.
					'select'=> __('Select Image'),
					'change'=> __('Change Image'),
					'remove'=> __('Remove'),
					'default'=> __('Default'),
					'placeholder'=> __('No image selected'),
					'frame_title'=> __('Select Image'),
					'frame_button'=> __('Choose Image'),
				))));
		$wp_customize->add_setting('LandingPageTestimonialsMessage4', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda corporis deleniti praesentium doloremque. Repellendus soluta quos nemo quisquam consectetur temporibus quam obcaecati sapiente quaerat et.',
'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsMessage4',
				array('label'=> __('LP Client 4 Message', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient4Name', array('default'=> 'William James',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient4Name',
				array('label'=> __('LP Client 4 Name', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient4Name'
				)));

		$wp_customize->add_setting('LandingPageTestimonialsClient4Designation', array('default'=> 'Company name',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsClient4Designation',
				array('label'=> __('LP Client 4 Designation', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'settings'=> 'LandingPageTestimonialsClient4Designation'
				)));
		// client 4


		// LandingPage Testimonials top & bottom  area textarea

		$wp_customize->add_setting('LandingPageTestimonialsTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsTopArea',
				array('label'=> __('LP Testimonials Top', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPageTestimonialsBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageTestimonialsBottomArea',
				array('label'=> __('LP Testimonials Bottom', 'w3layouts'),
					'section'=> 'LandingPageTestimonialsSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// LandingPage Testimonials top & bottom  area textarea

		/** LandingPage Testimonials ends **/



    /** Contact page full section starts **/

    $wp_customize->add_setting('LandingPageContactRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactRequired',
        array('label'=> __('LP ContactUs Section required', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LandingPageContactRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('LandingPageContactRequired', array('selector'=> 'div.LandingPageContact', // You can also select a css class
      ));


    $wp_customize->add_setting('LPContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactToEmail',
        array('label'=> __('LP Contact email address', 'w3layouts'),
          'section'=> 'LPContactSection',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'LPContactToEmail'
        )));

    $wp_customize->add_setting('LPContactUsTitle', array('default'=> 'Contact us',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactUsTitle',
        array('label'=> __('LP Contact Us Title', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactUsTitle',
        )));



    /** LPContact Details Required **/

    $wp_customize->add_setting('LPContactDetailsRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactDetailsRequired',
        array('label'=> __('LP Contact Details Required', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactDetailsRequired'
        )));

    $wp_customize->add_setting('LPContactAddressRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactAddressRequired',
        array('label'=> __('LP Contact Address required', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactAddressRequired'
        )));
    $wp_customize->add_setting('LPContactAddressIcon', array('default'=> 'fa fa-map-marker',
      'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'LPContactAddressIcon',
      array('label'=> __('LP Contact Address Icon', 'w3layouts'),
        'section'=> 'LPContactSection',
        'settings'=> 'LPContactAddressIcon'
      )));

    $wp_customize->add_setting('LPContactAddressTitle', array('default'=> "Address:",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactAddressTitle',
        array('label'=> __('LP Contact Location Title', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactAddressTitle'
        )));

    $wp_customize->add_setting('LPContactAddress', array('default'=> '4028 Maryland Avenue, 5604 Willow Crossing Ct, Clifton, Georgia VA, 20124.',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactAddress',
        array('label'=> __('LP Contact Address', 'w3layouts'),
          'section'=> 'LPContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('LPContactNumberRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));

    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactNumberRequired',
        array('label'=> __('LP Contact Number required', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactNumberRequired'
        )));

    $wp_customize->add_setting('LPContactPhoneIcon', array('default'=> 'fa fa-phone',
      'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
      'LPContactPhoneIcon',
      array('label'=> __('LP Contact Phone Icon', 'w3layouts'),
        'section'=> 'LPContactSection',
        'settings'=> 'LPContactPhoneIcon'
      )));

    $wp_customize->add_setting('LPContactPhoneTitle', array('default'=> "Call us:",
        'transport'=> 'refresh',
      ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactPhoneTitle',
        array('label'=> __('LP Contact Phone Number Title', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactPhoneTitle'
        )));

    $wp_customize->add_setting('LPContactNumber', array('default'=> '+44-123-456-78',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactNumber',
        array('label'=> __('LP Contact Phone Number', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactNumber'
        )));

    $wp_customize->add_setting('LPContactNumberUrl', array('default'=> 'tel:+44-123-456-78',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactNumberUrl',
        array('label'=> __('LP Contact Phone Number URL', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactNumberUrl'
        )));

        $wp_customize->add_setting('LPContactEmailRequired',
        array('default'=> 1,
          'transport'=> 'refresh',
          'sanitize_callback'=> 'skyrocket_switch_sanitization'
        ));
      $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactEmailRequired',
          array('label'=> __('LP Email Address required', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactEmailRequired'
          )));
  
      $wp_customize->add_setting('LPContactEmailIcon', array('default'=> 'fa fa-envelope-o',
        'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactEmailIcon',
        array('label'=> __('LP Contact Email Icon', 'w3layouts'),
          'section'=> 'LPContactSection',
          'settings'=> 'LPContactEmailIcon'
        )));
        
      $wp_customize->add_setting('LPContactEmailTitle', array('default'=> "Have any questions?",
          'transport'=> 'refresh',
        ));
  
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactEmailTitle',
          array('label'=> __('LP Contact Email Title', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactEmailTitle'
          )));
  
      $wp_customize->add_setting('LPContactOfficialMailtxt', array('default'=> 'noreply@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactOfficialMailtxt',
          array('label'=> __('LP Contact MailID', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactOfficialMailtxt'
          )));
  
      $wp_customize->add_setting('LPContactOfficialMailUrl', array('default'=> 'mailto:noreply@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactOfficialMailUrl',
          array('label'=> __('LP Contact MailID URL', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactOfficialMailUrl'
          )));
  
      $wp_customize->add_setting('LPContactSupportMailtxt', array('default'=> 'support@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactSupportMailtxt',
          array('label'=> __('LP Contact Support MailID', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactSupportMailtxt'
          )));
  
      $wp_customize->add_setting('LPContactSupportMailUrl', array('default'=> 'mailto:support@mail.com',
          'transport'=> 'refresh',
        ));
      $wp_customize->add_control(new WP_Customize_Control($wp_customize,
          'LPContactSupportMailUrl',
          array('label'=> __('LP Contact Support MailID URL', 'w3layouts'),
            'section'=> 'LPContactSection',
            'settings'=> 'LPContactSupportMailUrl'
          )));





    // Contact Page top & bottom  textarea

    $wp_customize->add_setting('LandingPageContactTopArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactTopArea',
        array('label'=> __('LP Contact Top', 'w3layouts'),
          'section'=> 'LPContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('LandingPageContactBottomArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactBottomArea',
        array('label'=> __('LP Contact Bottom', 'w3layouts'),
          'section'=> 'LPContactSection',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    // Contact Page top & bottom  textarea



    /** LPContact Form Required **/

    $wp_customize->add_setting('LPContactFormRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LPContactFormRequired',
        array('label'=> __('LP Contact Form Required', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormRequired'
        )));
    $wp_customize->selective_refresh->add_partial('LPContactFormRequired', array('selector'=> 'div.LPContactForm', // You can also select a css class
      ));



    $wp_customize->add_setting('LPContactToEmail', array('default'=> 'contact@email-me.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactToEmail',
        array('label'=> __('LP Contact email address', 'w3layouts'),
          'section'=> 'LPContactForm',
          'description'=> __('Who should receive email when contact form submitted Eg: contact@email-me.com'),
          'settings'=> 'LPContactToEmail'
        )));


    // $wp_customize->add_setting('LPContactFormURL', array('default'=> 'https://app.hoverforms.com/SubmitForm/w3layouts',
    //     'transport'=> 'refresh', ));
    // $wp_customize->add_control(new WP_Customize_Control($wp_customize,
    //     'LPContactFormURL',
    //     array('label'=> __('Form Action URL', 'w3layouts'),
    //       'section'=> 'LPContactForm',
    //       'settings'=> 'LPContactFormURL',
    //     )));

    $wp_customize->add_setting('LPContactFormName', array('default'=> 'w3lName',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormName',
        array('label'=> __('LP Name field Name', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormName',
        )));

    $wp_customize->add_setting('LPContactFormNameplaceholder', array('default'=> 'Name',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormNameplaceholder',
        array('label'=> __('LP Name field Placeholder', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormNameplaceholder',
        )));


    $wp_customize->add_setting('LPContactFormEmail', array('default'=> 'w3lSender',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormEmail',
        array('label'=> __('LP Email field Name', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormEmail',
        )));

    $wp_customize->add_setting('LPContactFormEmailplaceholder', array('default'=> 'Email',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormEmailplaceholder',
        array('label'=> __('LP Email field Placeholder', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormEmailplaceholder',
        )));

    $wp_customize->add_setting('LPContactFormSubject', array('default'=> 'w3lSubject',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormSubject',
        array('label'=> __('LP Subject field Name', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormSubject',

        )));
    $wp_customize->add_setting('LPContactFormSubjectplaceholder', array('default'=> 'Subject',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormSubjectplaceholder',
        array('label'=> __('LP Subject field Placeholder', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormSubjectplaceholder',
        )));

    $wp_customize->add_setting('LPContactFormMessage', array('default'=> 'w3lMessage',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormMessage',
        array('label'=> __('LP Message field Name', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormMessage',
        )));

    $wp_customize->add_setting('LPContactFormMessageplaceholder', array('default'=> 'Message',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormMessageplaceholder',
        array('label'=> __('LP Message field Placeholder', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormMessageplaceholder',
        )));

    $wp_customize->add_setting('LPContactFormBtn', array('default'=> 'Send Message',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LPContactFormBtn',
        array('label'=> __('LP Contact Button Name', 'w3layouts'),
          'section'=> 'LPContactForm',
          'settings'=> 'LPContactFormBtn',
        )));

    /** LPContact Form Required **/

    /** Contact page full section ends **/



    /** Contact page Map starts **/

    $wp_customize->add_setting('LandingPageContactMapRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageContactMapRequired',
        array('label'=> __('LandingPage Contact Map required', 'w3layouts'),
          'section'=> 'LPContactMap',
          'settings'=> 'LandingPageContactMapRequired'
        )));
    $wp_customize->selective_refresh->add_partial('LandingPageContactMapRequired', array('selector'=> 'div.LPContactMap', // You can also select a css class
      ));

    $wp_customize->add_setting('LandingPageContactMapURL', array('default'=> 'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387193.3059445135!2d-74.25986613799748!3d40.69714941774136!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!4m3!3e3!4m0!4m0!5e0!3m2!1sen!2sin!4v1570181661801!5m2!1sen!2sin',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactMapURL',
        array('label'=> __('LP Map URL', 'w3layouts'),
          'section'=> 'LPContactMap',
          'settings'=> 'LandingPageContactMapURL',
        )));

    // Contact Page Map top & bottom  textarea

    $wp_customize->add_setting('LandingPageContactMapTopArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactMapTopArea',
        array('label'=> __('LP Contact Map Top', 'w3layouts'),
          'section'=> 'LPContactMap',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    $wp_customize->add_setting('LandingPageContactMapBottomArea', array('default'=> '',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'LandingPageContactMapBottomArea',
        array('label'=> __('LP Contact Map Bottom', 'w3layouts'),
          'section'=> 'LPContactMap',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));

    // Contact Page Map top & bottom  textarea

    /** Contact page Map ends **/



		/** LandingPage Newsletter starts **/

		$wp_customize->add_setting('LandingPageNewsletterRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'LandingPageNewsletterRequired',
				array('label'=> __('LandingPage Newsletter Required', 'w3layouts'),
					'section'=> 'LandingPageNewsletterSection',
					'settings'=> 'LandingPageNewsletterRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('LandingPageNewsletterRequired', array('selector'=> 'div.LandingPageNewsletter', // You can also select a css class
			));

		$wp_customize->add_setting('LandingPageNewsletterTitle', array('default'=> "Newsletter Signup",
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageNewsletterTitle',
				array('label'=> __('LP Newsletter Title', 'w3layouts'),
					'section'=> 'LandingPageNewsletterSection',
					'settings'=> 'LandingPageNewsletterTitle',
				)));
		$wp_customize->add_setting('LandingPageNewsletterContent', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda corporis deleniti praesentium doloremque. Repellendus soluta quos nemo quisquam consectetur temporibus quam obcaecati sapiente quaerat et.',
			'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageNewsletterContent',
				array('label'=> __('LP Newsletter Content', 'w3layouts'),
				'section'=> 'LandingPageNewsletterSection',
				'type'=> 'textarea',
				'input_attrs'=> array('class'=> 'my-custom-class',
				'style'=> 'border: 1px solid #999',
				'placeholder'=> __('Enter message...', 'w3layouts'),
				),
			)));
		$wp_customize->add_setting('LPMailingURL', array('default'=> '',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'LPMailingURL',
			array('label'=> __('LP Mailing list URL', 'w3layouts'),
			'section'=> 'LandingPageNewsletterSection',
			'description' => __( 'mailing list Form action url of mailchimp or other similar services Eg: https://fleximc.us20.list-manage.com/subscribe/post?u=XXXXXXX&id=XXXXXXX' ),
			'settings'=> 'LPMailingURL'
			)));
		
		$wp_customize->add_setting('FooterSubscribeFormEmailInput', array('default'=> "email",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'FooterSubscribeFormEmailInput',
			array('label'=> __('LP Newsletter Email Name', 'w3layouts'),
				'section'=> 'LandingPageNewsletterSection',
				'settings'=> 'FooterSubscribeFormEmailInput',
			)));
		
		$wp_customize->add_setting('FooterSubscribeFormEmailPlaceHolder', array('default'=> "Enter your email",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'FooterSubscribeFormEmailPlaceHolder',
			array('label'=> __('LP Newsletter Email Placeholder', 'w3layouts'),
				'section'=> 'LandingPageNewsletterSection',
				'settings'=> 'FooterSubscribeFormEmailPlaceHolder',
			)));
		
		$wp_customize->add_setting('FooterSubscribeFormBtn', array('default'=> "Subscribe",
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'FooterSubscribeFormBtn',
			array('label'=> __('LP Newsletter Button Text', 'w3layouts'),
				'section'=> 'LandingPageNewsletterSection',
				'settings'=> 'FooterSubscribeFormBtn',
			)));
		// LandingPage Newsletter top & bottom area textarea

		$wp_customize->add_setting('LandingPageNewsletterTopArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageNewsletterTopArea',
				array('label'=> __('LP Newsletter Top', 'w3layouts'),
					'section'=> 'LandingPageNewsletterSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

		$wp_customize->add_setting('LandingPageNewsletterBottomArea', array('default'=> '',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'LandingPageNewsletterBottomArea',
				array('label'=> __('LP Newsletter Bottom', 'w3layouts'),
					'section'=> 'LandingPageNewsletterSection',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));
		// LandingPage Newsletter top & bottom area textarea

		/** LandingPage Newsletter Section ends **/


    }

}